Skip to content

Get the email template list

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the email template list

Method name

ManagementClient.get_email_templates

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request Response

Type: GetEmailTemplatesRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetEmailTemplatesDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "templates": {
      "customizeEnabled": true,
      "type": "WELCOME_EMAIL",
      "name": "Welcome Email",
      "subject": "Welcome to {{app_name}}",
      "sender": "{{client_name}}",
      "content": "xxx",
      "expiresIn": 300,
      "redirectTo": "https://example.com",
      "tplEngine": "handlebar"
    },
    "categories": {
      "title": "Notification Template",
      "titleEn": "Notification Template",
      "desc": "Support the content of the Welcome Email and the first user creation notification",
      "descEn": "We support the content of the Welcome Email and First-Created Account Notification"
    }
  }
}

Data Structure

GetEmailTemplatesDataDto

NameTypeRequiredDescriptionSample value
templatesarrayYesTemplate list Nested type: <a EmailTemplateDto.
categoriesarrayYesTemplate type list Nested type: <a EmailTemplateCategoryDto.

EmailTemplateDto

NameTypeIs it required?DescriptionSample value
customizeEnabledbooleanyesWhether to enable custom templatestrue
typestringyesTemplate type:
- WELCOME_EMAIL: Welcome email
- FIRST_CREATED_USER: First created user notification
- REGISTER_VERIFY_CODE: Registration verification code
- LOGIN_VERIFY_CODE: Login verification code
- MFA_VERIFY_CODE: MFA verification code
- INFORMATION_COMPLETION_VERIFY_CODE: Registration information completion verification code
- FIRST_EMAIL_LOGIN_VERIFY: First email login verification
- CONSOLE_CONDUCTED_VERIFY: Initiate email verification in the console
- USER_PASSWORD_UPDATE_REMIND: User expiration reminder
- ADMIN_RESET_USER_PASSWORD_NOTIFICATION: Administrator successfully resets user password notification
- USER_PASSWORD_RESET_NOTIFICATION: User password successfully reset notification
- RESET_PASSWORD_VERIFY_CODE: Reset password verification code
- SELF_UNLOCKING_VERIFY_CODE: Self-service unlocking verification code
- EMAIL_BIND_VERIFY_CODE: Binding email verification code
- EMAIL_UNBIND_VERIFY_CODE: Unbinding email verification code
WELCOME_EMAIL
namestringyesEmail template nameWelcome email
subjectstringyesEmail subjectWelcome to &#123;&#123;app_name&#125;&#125;
senderstringyesEmail sender name&#123;&#123;client_name&#125;&#125;
contentstringyesEmail content templatexxx
expiresInnumbernoVerification code/email validity period. Only verification emails have validity period.300
redirectTostringnoThe address to redirect to after completing email verification. Only valid for FIRST_EMAIL_LOGIN_VERIFY and CONSOLE_CONDUCTED_VERIFY templates.https://example.com
tplEnginestringnoTemplate rendering engine. GenAuth email template currently supports two rendering engines:
- handlebar: For detailed usage, please see: handlebars official documentation
- ejs: For detailed usage, please see: ejs official documentation

By default, handlerbar will be used as the template rendering engine.
handlebar

EmailTemplateCategoryDto

NameTypeIs it required?DescriptionSample value
titlestringYesCategory nameNotification Template
titleEnstringYesCategory English nameNotification Template
descstringYesDescriptionSupport the content of the Welcome Email and First-Created Account Notification
descEnstringYesEnglish descriptionWe support the content of the Welcome Email and First-Created Account Notification

Agent infrastructure for identity, memory, and web action.